import 'package:example/layout_bar.dart';
import 'package:flutter/material.dart';
import 'package:flutter/rendering.dart';
import 'package:layout/layout.dart';

import 'animated_resize.dart';
import 'example.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  // This widget is the root of your application.
  @override
  Widget build(BuildContext context) {
  
    return Layout(
      child: MaterialApp(
        title: 'Flutter Demo',
        debugShowCheckedModeBanner: false,
        theme: ThemeData(
          appBarTheme: AppBarTheme(
            color: Colors.white,
          ),
          scaffoldBackgroundColor: Colors.grey[200],
          primarySwatch: Colors.blue,
        ),
        /* builder: (context, child) {
          return Column(
            crossAxisAlignment: CrossAxisAlignment.stretch,
            children: [Expanded(child: child!), LayoutBar()],
          );
        }, */
        home: Builder(
          builder: (context) => Container(
            color: Theme.of(context).accentColor,
            child: Column(
              mainAxisAlignment: MainAxisAlignment.center,
              crossAxisAlignment: CrossAxisAlignment.center,
              children: [
                SizedBox(height: 100),
                Expanded(
                  child: Transform.scale(
                    scale: 0.8,
                    child: AnimatedResize(
                      child: Layout(
                        child: MyHomePage(title: 'Layout'),
                      ),
                    ),
                  ),
                ),
                
                Container(
                  child: Image.asset(
                    'assets/layout_logo.png',
                    fit: BoxFit.contain,
                  ),
                  width: 150,
                ),

                SizedBox(height: 100),
                // LayoutBar()
              ],
            ),
          ),
        ),
      ),
    );
  }
}
